%global short_name plexus-components

Name:           %{short_name}-pom
Version:        1.3.1
Release:        %mkrel 8
Summary:        Plexus Components POM
BuildArch:      noarch
Group:          Development/Java
License:        ASL 2.0
URL:            https://github.com/codehaus-plexus/plexus-components

Source0:        http://repo.maven.apache.org/maven2/org/codehaus/plexus/%{short_name}/%{version}/%{short_name}-%{version}.pom
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires:  maven-local
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-metadata)
BuildRequires:  mvn(org.codehaus.plexus:plexus:pom:)

%description
This package provides Plexus Components parent POM used by different
Plexus packages.

%prep
%setup -qcT
cp -p %{SOURCE0} pom.xml
cp -p %{SOURCE1} LICENSE

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE



%changelog
* Mon May 08 2017 neoclust <neoclust> 1.3.1-8.mga6
+ Revision: 1099600
- Regenerate build-requires
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 1.3.1-6.mga6
+ Revision: 977763
- First rebuild of the java stack
- sync package plexus-components-pom with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Dec 31 2014 pterjan <pterjan> 1.3.1-1.mga5
+ Revision: 807760
- Sync with Fedora 21 (update to 1.3.1)

* Wed Oct 15 2014 umeabot <umeabot> 1.2-7.mga5
+ Revision: 750677
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.2-5.mga4
+ Revision: 545680
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 dmorgan <dmorgan> 1.2-4.mga4
+ Revision: 501550
- Build with xmvn

* Sun Jan 13 2013 umeabot <umeabot> 1.2-3.mga3
+ Revision: 377881
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 dmorgan <dmorgan> 1.2-2.mga3
+ Revision: 324033
- imported package plexus-components-pom


* Mon Nov 12 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.2-2
- Install LICENSE file

* Wed Oct 31 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.2-1
- Initial packaging
